[arch-commits] Commit in libgcrypt/repos (6 files)

Andreas Radke andyrtr at archlinux.org
Thu Aug 21 16:08:01 UTC 2014


    Date: Thursday, August 21, 2014 @ 18:08:00
  Author: andyrtr
Revision: 220510

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  libgcrypt/repos/testing-i686/
  libgcrypt/repos/testing-i686/PKGBUILD
    (from rev 220509, libgcrypt/trunk/PKGBUILD)
  libgcrypt/repos/testing-i686/libgcrypt.install
    (from rev 220509, libgcrypt/trunk/libgcrypt.install)
  libgcrypt/repos/testing-x86_64/
  libgcrypt/repos/testing-x86_64/PKGBUILD
    (from rev 220509, libgcrypt/trunk/PKGBUILD)
  libgcrypt/repos/testing-x86_64/libgcrypt.install
    (from rev 220509, libgcrypt/trunk/libgcrypt.install)

----------------------------------+
 testing-i686/PKGBUILD            |   41 +++++++++++++++++++++++++++++++++++++
 testing-i686/libgcrypt.install   |   20 ++++++++++++++++++
 testing-x86_64/PKGBUILD          |   41 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/libgcrypt.install |   20 ++++++++++++++++++
 4 files changed, 122 insertions(+)

Copied: libgcrypt/repos/testing-i686/PKGBUILD (from rev 220509, libgcrypt/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-08-21 16:08:00 UTC (rev 220510)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+# after a .so bump first rebuild dirmngr
+# with sudo testing-x86_64-build -- -I libgcrypt-1.6.0-1-x86_64.pkg.tar.xz
+# then cp /usr/lib/libgcrypt.so.11 /var/lib/archbuild/staging-x86_64/root/usr/lib/ and do staging-x86_64-build
+
+pkgname=libgcrypt
+pkgver=1.6.2
+pkgrel=1
+pkgdesc="General purpose cryptographic library based on the code from GnuPG"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('libgpg-error>=1.10-2')
+options=('!emptydirs')
+install=$pkgname.install
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('cc31aca87e4a3769cb86884a3f5982b2cc8eb7ec')
+
+#prepare() {
+#  cd ${pkgname}-${pkgver}
+#}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--disable-static \
+	--disable-padlock-support
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: libgcrypt/repos/testing-i686/libgcrypt.install (from rev 220509, libgcrypt/trunk/libgcrypt.install)
===================================================================
--- testing-i686/libgcrypt.install	                        (rev 0)
+++ testing-i686/libgcrypt.install	2014-08-21 16:08:00 UTC (rev 220510)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gcrypt.info.gz gcrypt.info-1.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}

Copied: libgcrypt/repos/testing-x86_64/PKGBUILD (from rev 220509, libgcrypt/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-08-21 16:08:00 UTC (rev 220510)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+# after a .so bump first rebuild dirmngr
+# with sudo testing-x86_64-build -- -I libgcrypt-1.6.0-1-x86_64.pkg.tar.xz
+# then cp /usr/lib/libgcrypt.so.11 /var/lib/archbuild/staging-x86_64/root/usr/lib/ and do staging-x86_64-build
+
+pkgname=libgcrypt
+pkgver=1.6.2
+pkgrel=1
+pkgdesc="General purpose cryptographic library based on the code from GnuPG"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('libgpg-error>=1.10-2')
+options=('!emptydirs')
+install=$pkgname.install
+source=(ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('cc31aca87e4a3769cb86884a3f5982b2cc8eb7ec')
+
+#prepare() {
+#  cd ${pkgname}-${pkgver}
+#}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--disable-static \
+	--disable-padlock-support
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: libgcrypt/repos/testing-x86_64/libgcrypt.install (from rev 220509, libgcrypt/trunk/libgcrypt.install)
===================================================================
--- testing-x86_64/libgcrypt.install	                        (rev 0)
+++ testing-x86_64/libgcrypt.install	2014-08-21 16:08:00 UTC (rev 220510)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(gcrypt.info.gz gcrypt.info-1.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list